#!/usr/bin/perl -w

use DBI;
use strict;
my $PREFIX='/usr/home/aler/PRG/schitalka/tmp/';

my $dbh = DBI->connect("dbi:SQLite:".$PREFIX."traffik.sqlt", "", "", {RaiseError => 1, AutoCommit => 1});

eval {
    local $dbh->{PrintError} = 0;
    $dbh->do("DROP TABLE YEARS");
    $dbh->do("DROP TABLE MONTH");
    $dbh->do("DROP TABLE DAYS");
    $dbh->do("DROP TABLE TIMES");
    $dbh->do("DROP TABLE HOSTS");
    $dbh->do("DROP TABLE IFACES");
    $dbh->do("DROP TABLE PROTO");
    $dbh->do("DROP TABLE TRAF");
};

$dbh->do("CREATE TABLE YEARS (id INTEGER PRIMARY KEY, year char(4))");
print "Create table YEARS\n";
$dbh->do("CREATE TABLE MONTH (id INTEGER PRIMARY KEY, month char(2))");
print "Create table MONTH\n";
$dbh->do("CREATE TABLE DAYS (id INTEGER PRIMARY KEY, day char(2))");
print "Create table DAYS\n";
$dbh->do("CREATE TABLE TIMES (id INTEGER PRIMARY KEY, time char(5))");
print "Create table TIMES\n";
$dbh->do("CREATE TABLE HOSTS (id INTEGER PRIMARY KEY, ip char(15))");
print "Create table HOSTS\n";
$dbh->do("CREATE TABLE IFACES (id INTEGER PRIMARY KEY, if CHAR(5))");
print "Create table IFACES\n";
$dbh->do("CREATE TABLE PROTO (id INTEGER PRIMARY KEY, proto CHAR(5))");
print "Create table PROTO\n";
$dbh->do("CREATE TABLE TRAF (id INTEGER PRIMARY KEY, id_y INTEGER, id_m INTEGER, id_d INTEGER, id_t INTEGER, id_if INTEGER, id_hf INTEGER, id_ht INTEGER, id_p INTEGER, bytes INTEGER)");
print "Create table TRAF\n";

$dbh->disconnect();

print "\nBase ready for wokr\n\n";
exit 0;
