#!/usr/bin/perl

use DBI;
#use strict;

my $PREFIX='/home/aler/PRG/schitalka/';

$dt=`date "+%Y-%m-%d %H:%M"`;chomp($dt);

my $dbh = DBI->connect("dbi:SQLite:".$PREFIX."traffik.sqlt", "", "", {RaiseError => 1, AutoCommit => 1});

    my $query = $dbh->prepare("SELECT TRAF.id, IFACES.if, YEARS.year, MONTH.month, DAYS.day, TIMES.time, TRAF.id_hf, HOSTS.ip, PROTO.proto, TRAF.bytes FROM TRAF join PROTO on TRAF.id_p=PROTO.id join IFACES on IFACES.id=TRAF.id_if join HOSTS on TRAF.id_ht=HOSTS.id join YEARS on TRAF.id_y=YEARS.id join MONTH on TRAF.id_m=MONTH.id join DAYS on TRAF.id_d=DAYS.id join TIMES on TRAF.id_t=TIMES.id;");
    $query->execute() or die($db->errstr);
    while (($id,$if,$dy,$dm,$dd,$dt,$f,$t,$p,$b) = $query->fetchrow_array())
    {
	my $query = $dbh->prepare("SELECT ip FROM HOSTS WHERE id=$f;");
	$query->execute() or die($db->errstr);
	($f)=$query->fetchrow_array();
	print "$id\t$if\t$dy-$dm-$dd $dt\t$f\t$t\t$p\t$b\n";
    };
    
print "$dt\n";
$dbh->disconnect();
exit 0;
