#!/bin/sh

WHERE_PID=/usr/local/var/cnupm/
PREFIX=/home/aler/PRG/schitalka/

if [ $# = 0 ]; then
    echo error!!!  usage: $0 interfaces
    exit 1
fi

for iface in $*; do
    PID_FILE=$WHERE_PID'cnupm-'$iface'.pid'
    if [ -f $PID_FILE ]; then
	kill -1 `cat $PID_FILE`
        sleep 2
	/usr/local/sbin/cnupmstat -BEP $iface > $PREFIX'dump-'$iface'.txt'
	#truncate -s 0 $WHERE_PID'cnupm-'$iface'.dump'
	`cat /dev/null > $WHERE_PID'cnupm-'$iface'.dump'`
    else
	echo error: $PID_FILE not found
    fi
done
