#!/usr/bin/perl

use DBI;
#use strict;

my $if=$ARGV[0];
my $PREFIX='/home/aler/PRG/schitalka/';

#VAR
my $id_hf;
my $id_ht;
my $id;
my $id_p;
my $id_if;
my $id_d;
my $id_y;
my $id_m;
my $id_t;
my $ye=`date "+%Y"`;chomp($ye);
my $mo=`date "+%m"`;chomp($mo);
my $da=`date "+%d"`;chomp($da);
my $ti=`date "+%H:%M"`;chomp($ti);

#print "$y $m $d $t\n";
#exit 0;
#$dt=`date "+%Y-%m-%d %H:%M"`;chomp($dt);

my $dbh = DBI->connect("dbi:SQLite:".$PREFIX."traffik.sqlt", "", "", {RaiseError => 1, AutoCommit => 1});

open FDUMP,"< ".$PREFIX."dump-".$if.".txt"; @D=<FDUMP>; close FDUMP;
for ($i=0;$i<@D;$i++)
{
    ($f,$t,$p,$b)=(split('\s+',$D[$i]))[0,1,2,3];
    #print "from=$f\tto=$t\tproto=$p\tbyte=$b\n";
#GET id FROM HOST
    my $query = $dbh->prepare("select id from HOSTS where ip='$f';");
    $query->execute() or die($db->errstr);
    ($id)=$query->fetchrow_array();
    if ($id > 0)
    {
	$id_hf=$id;
    }
    else
    {
	#ADD HOST
	my $query = $dbh->do("INSERT INTO HOSTS VALUES (NULL, '$f');");
	$id_hf=$dbh->func('last_insert_rowid')
    };
#GET id TO HOST
    my $query = $dbh->prepare("select id from HOSTS where ip='$t';");
    $query->execute() or die($db->errstr);
    ($id)=$query->fetchrow_array();
    if ($id > 0)
    {
	$id_ht=$id;
    }
    else
    {
	#ADD HOST
	my $query = $dbh->do("INSERT INTO HOSTS VALUES (NULL, '$t')");
	$id_ht=$dbh->func('last_insert_rowid')
    };
#GET id TO IFACE
    my $query = $dbh->prepare("select id from IFACES where if='$if';");
    $query->execute() or die($db->errstr);
    ($id)=$query->fetchrow_array();
    if ($id > 0)
    {
	$id_if=$id;
    }
    else
    {
	#ADD IFACE
	my $query = $dbh->do("INSERT INTO IFACES VALUES (NULL, '$if')");
	$id_if=$dbh->func('last_insert_rowid')
    };

#GET id PROTO
    my $query = $dbh->prepare("select id from PROTO where proto='$p';");
    $query->execute() or die($db->errstr);
    ($id)=$query->fetchrow_array();
    if ($id > 0)
    {
	$id_p=$id;
    }
    else
    {
	#ADD PROTO
	my $query = $dbh->do("INSERT INTO PROTO VALUES (NULL, '$p')");
	$id_p=$dbh->func('last_insert_rowid')
    };
#GET id YEAR
    my $query = $dbh->prepare("select id from YEARS where year='$ye';");
    $query->execute() or die($db->errstr);
    ($id)=$query->fetchrow_array();
    if ($id > 0)
    {
	$id_y=$id;
    }
    else
    {
	#ADD YEAR
	my $query = $dbh->do("INSERT INTO YEARS VALUES (NULL, '$ye')");
	$id_y=$dbh->func('last_insert_rowid')
    };
#GET id MONTH
    my $query = $dbh->prepare("select id from MONTH where month='$mo';");
    $query->execute() or die($db->errstr);
    ($id)=$query->fetchrow_array();
    if ($id > 0)
    {
	$id_m=$id;
    }
    else
    {
	#ADD MONTH
	my $query = $dbh->do("INSERT INTO MONTH VALUES (NULL, '$mo')");
	$id_m=$dbh->func('last_insert_rowid')
    };
#GET id DAY
    my $query = $dbh->prepare("select id from DAYS where day='$da';");
    $query->execute() or die($db->errstr);
    ($id)=$query->fetchrow_array();
    if ($id > 0)
    {
	$id_d=$id;
    }
    else
    {
	#ADD DAY
	my $query = $dbh->do("INSERT INTO DAYS VALUES (NULL, '$da')");
	$id_d=$dbh->func('last_insert_rowid')
    };
#GET id TIME
    my $query = $dbh->prepare("select id from TIMES where time='$ti';");
    $query->execute() or die($db->errstr);
    ($id)=$query->fetchrow_array();
    if ($id > 0)
    {
	$id_t=$id;
    }
    else
    {
	#ADD TIME
	my $query = $dbh->do("INSERT INTO TIMES VALUES (NULL, '$ti')");
	$id_t=$dbh->func('last_insert_rowid')
    };

#print "INSERT INTO TRAF VALUES (NULL, $id_y, $id_m, $id_d, $id_t, $id_if, $id_hf, $id_ht, $id_p, $b);\n";
my $query = $dbh->do("INSERT INTO TRAF VALUES (NULL, $id_y, $id_m, $id_d, $id_t, $id_if, $id_hf, $id_ht, $id_p, $b);");
};

#print "$dt\n";
$dbh->disconnect();
exit 0;
