#!/usr/bin/perl

use DBI;
#use strict;

my $PREFIX='/home/aler/PRG/schitalka/';

$dt=`date "+%Y-%m-%d %H:%M"`;chomp($dt);
$year=`date "+%Y"`;chomp($year);print "TOTAL $year\n";

my $dbh = DBI->connect("dbi:SQLite:".$PREFIX."traffik.sqlt", "", "", {RaiseError => 1, AutoCommit => 1});

my $query = $dbh->prepare("SELECT id from YEARS where year='$year';");
$query->execute() or die($db->errstr);
($id_y) = $query->fetchrow_array();

my $query = $dbh->prepare("SELECT id, if from IFACES;");
$query->execute() or die($db->errstr);
while (($id_if,$if) = $query->fetchrow_array())
{
    print "INTERFACE: $if\n";
    print "HIS ADDRESS".`/sbin/ifconfig $if | /usr/bin/grep inet`;
    print "(host|from|to) in MEGABYTES\n";
    my $query = $dbh->prepare("select distinct HOSTS.id, HOSTS.ip from TRAF join HOSTS on TRAF.id_hf=HOSTS.id join IFACES on TRAF.id_if=IFACES.id where IFACES.id=$id_if;");
    $query->execute() or die($db->errstr);
    while (($id_ip,$ip) = $query->fetchrow_array())
    {
	my $query = $dbh->prepare("SELECT sum(TRAF.bytes) from TRAF where TRAF.id_y=$id_y and id_hf=$id_ip and id_if=$id_if;");
	$query->execute() or die($db->errstr);
	($summf) = $query->fetchrow_array();
	my $query = $dbh->prepare("SELECT sum(TRAF.bytes) from TRAF where TRAF.id_y=$id_y and id_ht=$id_ip and id_if=$id_if;");
	$query->execute() or die($db->errstr);
	($summt) = $query->fetchrow_array();
	if ($summf ne '' and $summt ne '')
	{
	    printf "$ip\t%7.2f\t%7.2f\n",$summf/1024/1024,$summt/1024/1024;
	};
    };
};
print "$dt\n";
$dbh->disconnect();
exit 0;
